Skip to main content
POST
/
core
/
v3
/
offices
Create an office
curl --request POST \
  --url https://api-{region}.sesametime.com/core/v3/offices \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "address": "<string>",
  "coordinates": {
    "latitude": 123,
    "longitude": 123
  },
  "description": "<string>",
  "radio": 123,
  "defaultEmployeesDateTimeZone": "Europe/Madrid"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "address": "<string>",
    "coordinates": {
      "latitude": 123,
      "longitude": 123
    },
    "description": "<string>",
    "radio": 123,
    "defaultEmployeesDateTimeZone": "Europe/Madrid",
    "isDeleted": true
  },
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Body

application/json

Office object that needs to be created.

Important note: For the defaultEmployeesDateTimeZone field, use one of the valid timezone values listed in PHP's official documentation (e.g., 'Europe/Madrid', 'America/New_York').

companyId
string<uuid>
required

The ID of the company

name
string
required

The name of the office

address
string

The address of the office

coordinates
object

The coordinates of the office

description
string

The description of the office

radio
integer

The radio of the office

defaultEmployeesDateTimeZone
string<timezone>

The default employees date time zone of the office

Example:

"Europe/Madrid"

Response

200 - application/json

Object

data
object
meta
object